Bug 170470 - Samba panic when moving virtual IP with Samba mount
Samba panic when moving virtual IP with Samba mount
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
John Ha
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 20:03 EDT by Henry Harris
Modified: 2014-08-31 19:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-21 09:36:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Samba panic (2.25 KB, text/plain)
2005-10-11 20:03 EDT, Henry Harris
no flags Details
Samba conf file (10.86 KB, text/plain)
2005-10-13 12:23 EDT, Henry Harris
no flags Details

  None (edit)
Description Henry Harris 2005-10-11 20:03:05 EDT
Description of problem: Had a Samba mount using a virtual IP (cluster manager) 
and moved the IP to another cluster node.  The original node with the IP got a 
samba panic.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Mount samba client using virtual IP created by cluster manager
2. Move the IP to another cluster node
3.
  
Actual results:
Node paniced

Expected results:

Node continues to run
Additional info:
See attached file
Comment 1 Henry Harris 2005-10-11 20:03:05 EDT
Created attachment 119824 [details]
Samba panic
Comment 2 Lon Hohberger 2005-10-12 16:02:31 EDT
Whoa, this does look like a samba bug instead of a kernel bug.
Comment 3 Lon Hohberger 2005-10-12 16:03:11 EDT
Tossing to owner of Samba.
Comment 4 Jay Fenlason 2005-10-12 17:01:17 EDT
I'll need your complete /etc/samba/smb.conf and step by step instructions 
(preferably a shell script) on how to "mount samba client using virtual IP 
created by cluster manager" and "move the IP to another cluster node" because 
I don't know much about clustering. 
Comment 5 Lon Hohberger 2005-10-12 17:08:24 EDT
The script being used to control Samba would be useful as well (or is it the
stock smb script?).  I'll get a cluster running for Jay to test on in the next
couple of days.
Comment 6 Henry Harris 2005-10-13 12:23:48 EDT
Created attachment 119926 [details]
Samba conf file

Note You need to log in before you can comment on or make changes to this bug.